#include <stdio.h>

int main() {
    int n, k, result=1, factR=1;
    scanf("%d %d", &n, &k);
    
    for(int i=1; i<=k; i++) {
        result *= n-i+1;
        factR *= i;
    }

    printf("%d\n",result/factR);

    return 0;
}